POST /api/checkout/{sessionId}/pay | SubmitPaymentInput | Aucun | session_id : string, nullable
return_url : string, nullable
payment_method : PaymentMethodInput
collected : CheckoutCollectedFieldsInput | |
POST /api/v1/auth/change-email | ChangeEmailWithMfaDto | challengeId
newEmail | newEmail (requis): string:email, min 1
challengeId (requis): string:uuid | |
POST /api/v1/auth/change-password | ChangePasswordRequestDto | currentPassword
newPassword | currentPassword (requis): string, min 1
newPassword (requis): string, min 8 | |
POST /api/v1/auth/change-password-mfa | ChangePasswordWithMfaDto | challengeId
newPassword | newPassword (requis): string, min 8
challengeId (requis): string:uuid | |
POST /api/v1/auth/change-phone | ChangePhoneWithMfaDto | challengeId
newPhone | newPhone (requis): string, min 1
challengeId (requis): string:uuid | |
POST /api/v1/auth/email-change/cancel | CancelEmailChangeInput | Aucun | requestId : string:uuid | |
POST /api/v1/auth/email-change/confirm | ConfirmEmailChangeInput | Aucun | token : string, nullable | |
POST /api/v1/auth/email-change/request | RequestEmailChangeInput | Aucun | challengeId : string:uuid
newEmail : string, nullable | |
POST /api/v1/auth/forgot-password | ForgotPasswordRequestDto | email | email (requis): string:email, min 1 | |
POST /api/v1/auth/google/connect | GoogleConnectStartRequestDto | Aucun | returnUrl : string, nullable
challengeId : string:uuid | |
POST /api/v1/auth/google/disconnect | GoogleDisconnectRequestDto | Aucun | challengeId : string:uuid | |
POST /api/v1/auth/google/login | GoogleLoginStartRequestDto | Aucun | returnUrl : string, nullable | |
POST /api/v1/auth/login | MerchantLoginRequestDto | email
password | email (requis): string:email, min 1
password (requis): string, min 8 | |
POST /api/v1/auth/magic-link | MagicLinkRequestDto | email | email (requis): string:email, min 1 | |
POST /api/v1/auth/magic-link/verify | MagicLinkVerifyDto | token | token (requis): string, min 1 | |
POST /api/v1/auth/mfa/challenge | CreateMfaChallengeRequestDto | purpose | purpose (requis): string, min 1 | |
POST /api/v1/auth/mfa/totp/disable | DisableTotpRequestDto | challengeId | challengeId (requis): string:uuid | |
POST /api/v1/auth/mfa/totp/verify | VerifyTotpSetupRequestDto | code
secretId | secretId (requis): string, min 1
code (requis): string, 6 chars | |
POST /api/v1/auth/mfa/verify | VerifyMfaChallengeRequestDto | challengeId
code | challengeId (requis): string:uuid
code (requis): string, min 1 | |
PATCH /api/v1/auth/onboarding | UpdateMerchantOnboardingDto | Aucun | onboardingDismissed : boolean, nullable
onboardingCompleted : boolean, nullable
onboardingStep : string, nullable | |
PATCH /api/v1/auth/passkeys/{id} | RenamePasskeyInput | Aucun | nickname : string, nullable | |
POST /api/v1/auth/passkeys/assertion/begin | PasskeyAssertionBeginInput | Aucun | purpose : string, nullable | |
POST /api/v1/auth/passkeys/assertion/complete | PasskeyAssertionCompleteInput | Aucun | assertionResponse : string, nullable | |
POST /api/v1/auth/passkeys/login/complete | PasskeyLoginCompleteInput | Aucun | assertionResponse : string, nullable | |
POST /api/v1/auth/passkeys/registration/complete | PasskeyRegistrationCompleteInput | Aucun | attestationResponse : string, nullable
nickname : string, nullable | |
PATCH /api/v1/auth/personal-info | UpdateMerchantPersonalInfoDto | Aucun | name : string, nullable
secondaryEmail : string, nullable
language : string, nullable | |
POST /api/v1/auth/personal-info/sensitive | UpdateSensitivePersonalInfoWithMfaDto | challengeId | newEmail : string, nullable
newPhone : string, nullable
newPassword : string, nullable
challengeId (requis): string:uuid | |
POST /api/v1/auth/phone-change/request | RequestPhoneChangeInput | Aucun | challengeId : string:uuid
newPhone : string, nullable | |
POST /api/v1/auth/phone-change/verify | VerifyPhoneChangeInput | Aucun | requestId : string:uuid
code : string, nullable | |
POST /api/v1/auth/pre-signup/email/challenge | PreSignupEmailChallengeRequestDto | email | email (requis): string:email, min 1 | |
POST /api/v1/auth/pre-signup/email/verify | PreSignupOtpVerifyRequestDto | challengeId
code | challengeId (requis): string:uuid
code (requis): string, min 1 | |
POST /api/v1/auth/pre-signup/phone/challenge | PreSignupPhoneChallengeRequestDto | phone | phone (requis): string, min 1 | |
POST /api/v1/auth/pre-signup/phone/verify | PreSignupOtpVerifyRequestDto | challengeId
code | challengeId (requis): string:uuid
code (requis): string, min 1 | |
POST /api/v1/auth/refresh | RefreshTokenRequestDto | refreshToken | refreshToken (requis): string, min 1 | |
POST /api/v1/auth/register | MerchantRegisterRequestDto | email
merchantName
name
password | email (requis): string:email, min 1
emailChallengeId : string:uuid, nullable
password (requis): string, min 8
name (requis): string, min 1
merchantName (requis): string, min 1
phone : string, nullable
phoneChallengeId : string:uuid, nullable
country : string, nullable | |
POST /api/v1/auth/reset-password | ResetPasswordRequestDto | newPassword
token | token (requis): string, min 1
newPassword (requis): string, min 8 | |
POST /api/v1/auth/switch-merchant | SwitchMerchantRequestDto | merchantId | merchantId (requis): string, min 1 | |
POST /api/v1/billing/invoices | CreateInvoiceRequestDto | Aucun | subscriptionId : string, nullable
customerId : string, nullable
currency : string, nullable
amountDue : number:double
periodStart : string:date-time
periodEnd : string:date-time
dueDate : string:date-time, nullable | |
POST /api/v1/billing/invoices/{id}/confirm | ConfirmInvoicePaymentRequestDto | Aucun | paymentMethod : BillingPaymentMethodDto
returnUrl : string, nullable
idempotencyKey : string, nullable | |
POST /api/v1/billing/invoices/{id}/pay | PayInvoiceRequestDto | Aucun | transactionCountry : string, nullable
payerCountry : string, nullable
railCountry : string, nullable
description : string, nullable
metadata : object<string,string>, nullable
idempotencyKey : string, nullable | metadata: object<string,string>, nullable |
POST /api/v1/billing/plans | CreateBillingPlanRequestDto | Aucun | name : string, nullable
currency : string, nullable
recurringAmount : number:double
interval : string, nullable
usageBasedEnabled : boolean
metadata : string, nullable | metadata: string, nullable |
POST /api/v1/billing/subscriptions | CreateSubscriptionRequestDto | Aucun | billingPlanId : string, nullable
customerId : string, nullable
currentPeriodStart : string:date-time
currentPeriodEnd : string:date-time
cancelAtPeriodEnd : boolean | |
POST /api/v1/billing/usage/records | CreateUsageRecordRequestDto | Aucun | subscriptionId : string, nullable
meterKey : string, nullable
quantity : integer:int64
occurredAt : string:date-time
externalId : string, nullable
idempotencyKey : string, nullable | |
POST /api/v1/checkout/sessions | CreateCheckoutSessionInput | Aucun | amount : integer:int64
currency : string, nullable
country : string, nullable
paymentMethodTypes : string[], nullable
successUrl : string, nullable
cancelUrl : string, nullable
customerEmail : string, nullable
customerPhone : string, nullable
paymentLinkId : string:uuid, nullable
paymentLinkV2Id : string:uuid, nullable
deferPaymentIntentCreation : boolean
metadata : object<string,object>, nullable | metadata: object<string,object>, nullable |
POST /api/v1/configuration/activations | CreateUpdateActivationDto | Aucun | countryCode : string, nullable
currencyIso : string, nullable
enabledForPayIn : boolean
enabledForPayout : boolean
minAmount : integer:int64, nullable
maxAmount : integer:int64, nullable | |
PUT /api/v1/configuration/activations/{id} | CreateUpdateActivationDto | Aucun | countryCode : string, nullable
currencyIso : string, nullable
enabledForPayIn : boolean
enabledForPayout : boolean
minAmount : integer:int64, nullable
maxAmount : integer:int64, nullable | |
POST /api/v1/configuration/feature-flags | FeatureFlagDto | Aucun | key : string, nullable
isEnabled : boolean
merchantId : string, nullable
description : string, nullable | |
POST /api/v1/escrow/contracts | CreateEscrowContractInput | currency | amountMinor : integer:int64
currency (requis): string, 3 chars
fundingSourceType : EscrowFundingSourceType
fundingSourceLedgerAccountCode : string, max 100, nullable
defaultReleaseMode : EscrowReleaseMode
ledgerDestinationType : EscrowLedgerDestinationType
ledgerDestinationAccountCode : string, max 100, nullable
defaultPayoutMethodId : string:uuid, nullable
autoReleaseAtUtc : string:date-time, nullable
metadata : string, max 8000, nullable | metadata: string, max 8000, nullable |
POST /api/v1/escrow/contracts/{id}/submit-for-funding | SubmitForFundingInput | paymentIntentId | paymentIntentId (requis): string:uuid | |
POST /api/v1/escrow/disputes/{id}/resolve | ResolveEscrowDisputeInput | outcome | outcome (requis): EscrowDisputeOutcome
outcomeMetadata : string, max 8000, nullable | |
POST /api/v1/escrow/disputes/contract/{contractId} | CreateEscrowDisputeInput | reason | openedByRole : EscrowParticipantRole
reason (requis): string, min 1, max 1000 | |
POST /api/v1/escrow/releases/{id}/execute | ExecuteEscrowReleaseInput | Aucun | payoutMethodId : string:uuid, nullable
beneficiaryParticipantId : string:uuid, nullable | |
POST /api/v1/escrow/releases/contract/{contractId} | CreateEscrowReleaseInput | Aucun | amountMinor : integer:int64
milestoneId : string:uuid, nullable
mode : EscrowReleaseMode
trigger : EscrowReleaseTrigger
idempotencyKey : string, max 64, nullable
manualOverride : boolean | |
POST /api/v1/funding/campaigns | CreateCampaignInput | currency
title | title (requis): string, min 1, max 256
description : string, max 4000, nullable
targetAmountMinor : integer:int64
currency (requis): string, 3 chars
deadline : string:date-time
country : string, min 0, max 2, nullable
metadata : string, max 8000, nullable | metadata: string, max 8000, nullable |
POST /api/v1/funding/contributions | ContributeInput | campaignId
currency | campaignId (requis): string:uuid
amountMinor : integer:int64
currency (requis): string, 3 chars
idempotencyKey : string, max 64, nullable
contributorName : string, max 256, nullable
contributorEmail : string, max 256, nullable
metadata : string, max 8000, nullable | metadata: string, max 8000, nullable |
POST /api/v1/invitations/accept | AcceptMerchantInvitationDto | token | token (requis): string, min 1
password : string, min 8, nullable
name : string, nullable | |
POST /api/v1/marketplace/commission-rules | CreateCommissionRuleInput | currency
name | name (requis): string, min 0, max 256
percentBasisPoints : integer:int32
fixedFeeMinor : integer:int64
currency (requis): string, 3 chars
isActive : boolean | |
PATCH /api/v1/marketplace/commission-rules/{id} | UpdateCommissionRuleInput | Aucun | percentBasisPoints : integer:int32
fixedFeeMinor : integer:int64
isActive : boolean | |
POST /api/v1/marketplace/orders | CreateMarketplaceOrderInput | currency
lines
transactionCountry | currency (requis): string, 3 chars
transactionCountry (requis): string, 2 chars
idempotencyKey : string, max 64, nullable
buyerName : string, max 256, nullable
buyerEmail : string, max 256, nullable
lines (requis): CreateOrderLineInput[] | |
POST /api/v1/marketplace/refunds | CreateMarketplaceRefundInput | orderId | orderId (requis): string:uuid
amountMinor : integer:int64
reason : string, min 0, max 1000, nullable | |
POST /api/v1/marketplace/sellers | CreateSellerInput | displayName
sellerId | sellerId (requis): string, min 1
displayName (requis): string, min 0, max 256
settlementMode : SellerSettlementMode
settlementDelayDays : integer:int32 | |
POST /api/v1/marketplace/sellers/{id}/settlement | UpdateSellerSettlementInput | Aucun | settlementMode : SellerSettlementMode
settlementDelayDays : integer:int32 | |
POST /api/v1/marketplace/settlements/process-due | ProcessDueSettlementsInput | Aucun | currency : string, nullable
maxItems : integer:int32 | |
POST /api/v1/organizations | CreateOrganizationDto | country
displayName
type | displayName (requis): string, min 0, max 128
country (requis): string, min 1
type (requis): OrganizationType
parentId : string:uuid, nullable | |
POST /api/v1/organizations/switch | SwitchOrganizationInput | Aucun | organizationId : string:uuid
persist : boolean | |
POST /api/v1/payment_capabilities | CreatePaymentCapabilityDto | country
currency
payment_method_type | country (requis): string, 2 chars
currency (requis): string, 3 chars
payment_method_type (requis): string, min 1
operator : string, nullable | |
POST /api/v1/payment_capabilities/{id} | UpdatePaymentCapabilityDto | Aucun | is_enabled : boolean, nullable | |
POST /api/v1/payment_capabilities/{id}/suspend | SuspendCapabilityDto | reason | reason (requis): string, min 1 | |
POST /api/v1/payment_links | CreatePaymentLinkInput | Aucun | amount : integer:int64
currency : string, nullable
country : string, nullable
feeMode : string, nullable
description : string, nullable
paymentMethodTypes : string[], nullable
expiresAt : string:date-time, nullable
isSingleUse : boolean | |
POST /api/v1/payment-intents | PaymentIntentCreateRequestDto | amount
currency
transaction_country | amount (requis): integer:int64
currency (requis): string, min 0, max 3
transaction_country (requis): string, 2 chars
payer_country : string, 2 chars, nullable
rail_country : string, 2 chars, nullable
description : string, nullable
metadata : object<string,string>, nullable
customer : string, nullable
customer_email : string, nullable
customer_phone : string, nullable | metadata: object<string,string>, nullable |
PATCH /api/v1/payment-intents/{id} | PaymentIntentUpdateRequestDto | Aucun | description : string, nullable
metadata : object<string,string>, nullable | metadata: object<string,string>, nullable |
POST /api/v1/payment-intents/{id}/confirm | PaymentIntentConfirmRequestDto | Aucun | payment_method : PaymentMethodDto
return_url : string, nullable | |
POST /api/v1/payout-engine/batches | CreatePayoutBatchInput | Aucun | currency : string, nullable
idempotency_key : string, nullable
metadata : string, nullable
instructions : CreatePayoutInstructionInput[], nullable | metadata: string, nullable |
POST /api/v1/payout-engine/recipients | CreatePayoutRecipientInput | Aucun | display_name : string, nullable
destination_type : string, nullable
currency : string, nullable
country : string, nullable
operator : string, nullable
msisdn : string, nullable
bank_code : string, nullable
account_number : string, nullable
account_name : string, nullable | |
POST /api/v1/payouts | PayoutCreateRequestDto | amount
currency | amount (requis): integer:int64
currency (requis): string, min 0, max 3
destination : PayoutDestinationDto
payout_method_id : string:uuid, nullable
metadata : object<string,string>, nullable | metadata: object<string,string>, nullable |
POST /api/v1/webhook-endpoints | CreateWebhookEndpointRequestDto | Aucun | url : string, nullable
enabled_events : string[], nullable | |
POST /api/v1/webhook-endpoints/{id} | UpdateWebhookEndpointRequestDto | Aucun | url : string, nullable
enabled_events : string[], nullable
enabled : boolean, nullable | |
POST /api/v1/webhook-replays | ReplayWebhookRequestDto | Aucun | event_id : string, nullable
webhook_endpoint_id : string, nullable
reason : string, nullable | |
POST /checkout/session/{sessionId}/pay | inline | Aucun | PaymentMethod : string
Operator : string
PhoneNumber : string | |